%define major     11
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           intel-gmmlib
Version:        20.3.3
Release:        %mkrel 1
Summary:        Intel Graphics Memory Management Library
Group:          System/Kernel and hardware
License:        MIT and BSD
URL:            https://github.com/intel/gmmlib
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

# This package relies on intel asm
ExclusiveArch:  x86_64

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
The Intel Graphics Memory Management Library provides device specific
and buffer management for the Intel Graphics Compute Runtime for OpenCL
and the Intel Media Driver for VAAPI.

#main package (contains .so.[major]. only)
%package -n     %{libname}
#(!) summary for main lib RPM only
Summary:        Intel Graphics Memory Management Library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gmmlib.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gmmlib
Group:          Development/C++
Requires:       %{libname} = %{version}
#(!) MANDATORY
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gmmlib.

%files -n %{libname}
%{_libdir}/libigdgmm.so.%{major}{,.*}

%files -n %{develname}
%doc README.rst
%{_includedir}/igdgmm
%{_libdir}/libigdgmm.so
# We don't use the static library
%exclude %{_libdir}/libgmm_umd.a
%{_libdir}/pkgconfig/igdgmm.pc


%prep
%autosetup -p1 -n gmmlib-intel-gmmlib-%{version}
# Fix license perm
chmod -x LICENSE.md README.rst
# Fix source code perm
find Source -name "*.cpp" -exec chmod -x {} ';'
find Source -name "*.h" -exec chmod -x {} ';'


%build
%cmake \
  -DRUN_TEST_SUITE:BOOL=False

%cmake_build


%install
%cmake_install
find %{buildroot} -name '*.la' -delete


%changelog
* Sat Dec 26 2020 daviddavid <daviddavid> 20.3.3-1.mga8
+ Revision: 1663815
- new version: 20.3.3

* Wed Sep 09 2020 zezinho <zezinho> 20.2.5-1.mga8
+ Revision: 1623999
- new version 20.2.5

* Mon Aug 24 2020 zezinho <zezinho> 20.2.4-1.mga8
+ Revision: 1618506
- new version 20.2.4

* Wed Jul 01 2020 zezinho <zezinho> 20.2.2-1.mga8
+ Revision: 1600954
- new bugfix version 20.2.2

* Mon Apr 06 2020 zezinho <zezinho> 20.1.1-1.mga8
+ Revision: 1565201
- imported package intel-gmmlib

